<html lang="fr">
  <head>
    <title>Avoir et être</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="viewport" content="height=device-height">
    {% include 'templates/favicon.html' %}
    {% include 'templates/global.css.html' %}
    <link rel="stylesheet" type="text/css" media="screen" href="standard.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="avoir-etre.css" />
    <link rel="stylesheet" type="text/css" media="print" href="impression.css">
</head>
<body>
  {% include 'templates/widget_back_menu.html' %}
  <div id="ecran-blanc" class="ecran invisible noprint"></div>
  <div class="zoneAnnexe noprint">
      <div id="zone-annexe-selection" class="zoneAnnexe_zoneSelection zoneAnnexe_zoneSelection--visible">
        <form name="form-niveau" class="formNiveau">
            <span class="formNiveau_titre">Choisis un verbe :</span>
          <p class="zoneAnnexe_p"></p>
          <p class="zoneAnnexe_p"><input id="avoir" type="radio" name="verbe" value="verbe" class="zoneAnnexe_zoneSelection_radio" onclick="lanceVerbe('avoir')"/><label class="zoneAnnexe_zoneSelection_label" for="avoir">Avoir</label></p>
          <p class="zoneAnnexe_p"><input id="etre" type="radio" name="verbe" value="verbe" class="zoneAnnexe_zoneSelection_radio" onclick="lanceVerbe('etre')"/><label class="zoneAnnexe_zoneSelection_label" for="etre">Être</label></p>
          <span class="formNiveau_titre">Choisis un temps de conjugaison :</span>
          <p class="zoneAnnexe_p"></p>
          <p class="zoneAnnexe_p"><input type="radio" name="temps" value="0" id="temps1" class="zoneAnnexe_zoneSelection_radio" onclick="lanceTemps('indicatif-present')"/><label class="zoneAnnexe_zoneSelection_label" for="temps1">Indicatif présent</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="temps" value="1" id="temps2" class="zoneAnnexe_zoneSelection_radio" onclick="lanceTemps('indicatif-futur')"/><label class="zoneAnnexe_zoneSelection_label" for="temps2">Indicatif futur</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="temps" value="2" id="temps3" class="zoneAnnexe_zoneSelection_radio" onclick="lanceTemps('indicatif-imparfait')"/><label class="zoneAnnexe_zoneSelection_label" for="temps3">Indicatif imparfait</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="temps" value="3" id="temps4" class="zoneAnnexe_zoneSelection_radio" onclick="lanceTemps('indicatif-passe-compose')"/><label class="zoneAnnexe_zoneSelection_label" for="temps4">Indicatif passé composé</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="temps" value="4" id="temps5" class="zoneAnnexe_zoneSelection_radio" onclick="lanceTemps('conditionnel-present')"/><label class="zoneAnnexe_zoneSelection_label" for="temps5">Conditionnel présent</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="temps" value="5" id="temps6" class="zoneAnnexe_zoneSelection_radio" onclick="lanceTemps('subjonctif-present')"/><label class="zoneAnnexe_zoneSelection_label" for="temps6">Subjonctif présent</label></p>
        </form>
        </div>
      <div id="zone-annexe-affichage" class= "zoneAnnexe_affichage zoneAnnexe_affichage--invisible"></div>
      <div id="zone-resultats" class="zoneResultats">
        <div class="zoneResultats_titre">Résultats</div>
        <div class="zoneResultats_corps">
          <div class="blocResultats blocResultats_bloc1">
            <div class="blocResultats_titre">
              <div>Phrase en cours</div>
            </div>
            <div class="ligneResultat">
              <div class="labelResultat">Nombre de tentatives : </div>
              <div id="nbtentatives" class="resultat"></div>
            </div>
          </div>
          <div><hr></div>
          <div class="blocResultats blocResultats_bloc2">
              <div class="ligneResultat">
                <div class="labelResultat">Nombre de phrases : </div>
                <div id="nbepreuves" class="resultat"></div>
              </div>
              <div class="ligneResultat">
                <div class="labelResultat">Nombre de tentatives : </div>
                <div id="total-tentatives" class="resultat"></div>
              </div>
              <div class="ligneResultat">
                <div class="labelResultat">Taux d'efficacité : </div>
                <div id="efficacite" class="resultat"></div>
              </div>
              <div class="ligneResultat">
                <div class="labelResultat">Abandons : </div>
                <div id="nbechecs" class="resultat"></div>
              </div>
            <div class="ligneResultat">
              <div class="labelResultat">Taux de réussite : </div>
              <div id="reussite" class="resultat"></div>
            </div>
          </div>
          <div class="zoneResultats_boutons">
              <button class="btcommande zoneResultats_bouton" type='button' onclick='demandeNom()'>Tous les résultats</button>
              </div>
        </div>
      </div>
    </div>
    <div class="zoneAction noprint">
      <div id="annonces" class="zoneAction_annonces"></div>
      <!-- </div> -->
      <div class="zoneExercice">
        <form id="phrase-1" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-1-debut"></span><input type="text" id="phrase-1-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-1-fin"></span></form>
        <p id="phrase-1-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-2" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-2-debut"></span><input type="text" id="phrase-2-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-2-fin"></span></form>
        <p id="phrase-2-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-3" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-3-debut"></span><input type="text" id="phrase-3-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-3-fin"></span></form>
        <p id="phrase-3-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-4" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-4-debut"></span><input type="text" id="phrase-4-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-4-fin"></span></form>
        <p id="phrase-4-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-5" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-5-debut"></span><input type="text" id="phrase-5-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-5-fin"></span></form>
        <p id="phrase-5-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-6" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-6-debut"></span><input type="text" id="phrase-6-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-6-fin"></span></form>
        <p id="phrase-6-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-7" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-7-debut"></span><input type="text" id="phrase-7-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-7-fin"></span></form>
        <p id="phrase-7-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-8" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-8-debut"></span><input type="text" id="phrase-8-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-8-fin"></span></form>
        <p id="phrase-8-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-9" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-9-debut"></span><input type="text" id="phrase-9-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-9-fin"></span></form>
        <p id="phrase-9-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
        <form id="phrase-10" class="zoneExercice_form zoneExercice_form--invisible" onsubmit="verifie(event)"><span id="phrase-10-debut"></span><input type="text" id="phrase-10-saisie" class="zoneExercice_input" autocomplete="off" oncopy="return false;" onpaste="return false;" oncut="return false;"/><span id="phrase-10-fin"></span></form>
        <p id="phrase-10-solution" class="zoneExercice_solution zoneExercice_solution--invisible"></p>
      </div>
      <div class="zoneAction_boutons">
        <button id="btverifier" class="btcommande zoneAction_btcommande" type="button" autocomplete="off" disabled onclick="verifie(event)">Vérifier</button>
        <button id="btsolution" class="btcommande zoneAction_btcommande" type="button" autocomplete="off" disabled onclick="abandonner()">Solution</button>
        <button id="btinfos" class="btcommande zoneAction_btcommande" type="button" autocomplete="off"  onclick="afficheInfos()">À savoir</button>
        <button id="btchange" class="btcommande zoneAction_btcommande" type="button" autocomplete="off"  disabled onclick="changeExercice()">Nouvel exercice</button>
      </div>
    </div>

    <!-- ##########################    Fenêtres modales   ###################################  -->

    <!-- Demande le nom de l'élève pour la page de résultats -->

    <div id="saisie-nom" class="modale modaleNom invisible noprint">
      <form class="formNom" onsubmit="pageResultats(event)">
        <label name="patronyme" id="lbpatronyme" class="modale_label">Écris ton nom :</label>
        <p><input id='patronyme' class="modale_input modaleNom_input" type="text" name="patronyme"/></p>
        <button class="modale_bouton modaleNom_bouton" type="submit">Valider</button>
        <button class="modale_bouton modaleNom_bouton" type="button" onclick="quitteModaleNom()">Annuler</button>
      </form>
    </div>

    <!-- Affichage de la page des résultats -->

    <div id="modale-resultats" class="modale modaleResultats invisible">
    <div class="modaleResultats_entete">
        <p id="date">Date : </p>
        <h1 class="modaleResultats_entete_titre">Avoir et être</h1>
      </div>
      <div id="nom" class="modaleResultats_ligneNom"></div>
      <div id="tab-resultats" class="modaleResultats_tabResultats">

        <table class="centrer modaleResultats_tabResultats_tab">
          <tbody>
            <tr>
              <td></td>
              <th colspan="2" class="modaleResultats_tabResultats_titreCol">Avoir</th>
              <th colspan="2" class="modaleResultats_tabResultats_titreCol">Être</th>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Indicatif présent</th>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-0-0" class="modaleResultats_tabResultats_cell_resultats"></td>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-1-0" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Indicatif futur</th>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-0-1" class="modaleResultats_tabResultats_cell_resultats"></td>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-1-1" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Indicatif imparfait</th>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-0-2" class="modaleResultats_tabResultats_cell_resultats"></td>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-1-2" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Indicatif passé composé</th>
                <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
                <td id="resu-0-3" class="modaleResultats_tabResultats_cell_resultats"></td>
                <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
                <td id="resu-1-3" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Conditionnele présent</th>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-0-4" class="modaleResultats_tabResultats_cell_resultats"></td>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-1-4" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <th class="modaleResultats_tabResultats_titreCell">Subjonctif présent</th>
            <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
            <td id="resu-0-5" class="modaleResultats_tabResultats_cell_resultats"></td>
            <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
            <td id="resu-1-5" class="modaleResultats_tabResultats_cell_resultats"></td>
          </tr>
          </tbody>
        </table>
      </div>
      <div class="modaleResultats_commandes noprint centrer">
        <button type="button" class="modale_bouton modaleResultats_bouton" onclick="window.print()">Imprimer la page</button>
        <button type="button" class="modale_bouton modaleResultats_bouton" onclick="quittePageResultats()">Quitter</button>
      </div>
    </div>

    <!-- Affichage de la fenêtre d'informations -->

    <div id="modale-infos" class="modale modaleInfos invisible noprint">
      <div id="corps-modale" class="modale_corps modaleInfos_corps">
        <h1 class="modaleInfos_titre">Conjugaison du verbe (auxiliaire) avoir</h1>
        <table class="modaleInfos_tab centrer">
          <tr>
            <th class="modaleInfos_tab_titreCol">Indicatif présent</th>
            <th class="modaleInfos_tab_titreCol">Indicatif futur</th>
            <th class="modaleInfos_tab_titreCol">Indicatif imparfait</th>
            <th class="modaleInfos_tab_titreCol">Indicatif passé composé</th>
            <th class="modaleInfos_tab_titreCol">Conditionnel présent</th>
            <th class="modaleInfos_tab_titreCol">Subjonctif présent</th>
          </tr>
          <tr>
            <td class="modaleInfos_tab_cell">j'ai<br />
            tu as<br />
            il, elle, on a<br />
            nous avons<br />
            vous avez<br />
            ils, elles ont</td>
            <td class="modaleInfos_tab_cell">j'aurai<br />
            tu auras<br />
            il, elle, on aura<br />
            nous aurons,<br />
            vous aurez<br />
            ils, elles auront</td>
            <td class="modaleInfos_tab_cell">j'avais<br />
            tu avais<br />
            il, elle, on avait<br />
            nous avions<br />
            vous aviez<br />
            ils, elles avaient</td>
            <td class="modaleInfos_tab_cell">j'ai eu<br />
            tu as eu<br />
            il, elle, on a eu<br />
            nous avons eu<br />
            vous avez eu<br />
            ils, elles ont eu</td>
            <td class="modaleInfos_tab_cell">j'aurais<br />
            tu aurais<br />
            il, elle, on aurait<br />
            nous aurions<br />
            vous auriez<br />
            ils, elles auraient</td>
            <td class="modaleInfos_tab_cell">que j'aie<br />
            que tu aies<br />
            qu'il, elle, on ait<br />
            que nous ayons<br />
            que vous ayez<br />
            qu'ils, elles aient</td>
          </tr>
        </table>
        <h1 class="modaleInfos_titre">Conjugaison du verbe (auxiliaire) être</h1>
        <table class="modaleInfos_tab centrer">
          <tr>
            <th class="modaleInfos_tab_titreCol">Indicatif présent</th>
            <th class="modaleInfos_tab_titreCol">Indicatif futur</th>
            <th class="modaleInfos_tab_titreCol">Indicatif imparfait</th>
            <th class="modaleInfos_tab_titreCol">Indicatif passé composé</th>
            <th class="modaleInfos_tab_titreCol">Conditionnel présent</th>
            <th class="modaleInfos_tab_titreCol">Subjonctif présent</th>
          </tr>
          <tr>
            <td class="modaleInfos_tab_cell" style="height: 23px">je suis<br />
            tu es<br />
            il, elle, on est<br />
            nous sommes<br />
            vous êtes<br />
            ils, elles sont</td>
            <td class="modaleInfos_tab_cell" style="height: 23px">je serai<br />
            tu seras<br />
            il, elle, on sera<br />
            nous serons<br />
            vous serez<br />
            ils, elles seront</td>
            <td class="modaleInfos_tab_cell" style="height: 23px">j'étais<br />
            tu étais<br />
            il, elle, on était<br />
            nous étions<br />
            vous étiez<br />
            ils, elles étaient</td>
            <td class="modaleInfos_tab_cell" style="height: 23px">j'ai été<br />
            tu as été<br />
            il, elle, on a été<br />
            nous avons été<br />
            vous avez été<br />
            ils, elles ont été</td>
            <td class="modaleInfos_tab_cell" style="height: 23px">je serais<br />
            tu serais<br />
            il, elle, on serait<br />
            nous serions<br />
            vous seriez<br />
            ils, elles seraient</td>
            <td class="modaleInfos_tab_cell" style="height: 23px">que je sois<br />
            que tu sois<br />
            qu'il, elle, on soit<br />
            que nous soyons<br />
            que vous soyez<br />
            qu'ils, elles soient</td>
          </tr>
        </table>
      </div>
      <div class="centrer">
        <button id="btquitter" class="modale_bouton modaleInfos_bouton" type="button" onclick="quitteModaleInfos()">Quitter</button>
      </div>
    </div>

    {% include 'templates/global.js.html' %}
    <script src="phrases.js" type="text/javascript"></script>
    <script src="avoir-etre.js" type="text/javascript"></script>
</body>
</html>
